#include "chunk.h"
#include "chunk_manager.h"
#include "./malloc.h"
#include "print.h"

void show_alloc_mem()
{
    static const char *ZONE_NAME[3] = {"TINY", "SMALL", "LARGE"};
    chunk_t current;

    for (size_t i = TINY; i <= LARGE; i++)
    {
        if (allocs_tree[i] == NULL)
            continue;
        putstr(ZONE_NAME[i]);
        putstr(" : ");
        putnbr_base((size_t) allocs_tree[i], HEXA);
        putstr("\n");
        chunk_read(allocs_tree[i], &current);
        chunk_iter(&current, (void (*)(chunk_t *)) &chunk_print);
    }
    
}